# This package is sync with FC!!

%global major 1
%define libname %mklibname dwarf %major
%define devname %mklibname -d dwarf

Name:          libdwarf
Version:       20201201
Release:       %mkrel 1
Summary:       Library to access the DWARF Debugging file format
Group:         Development/C

License:       LGPLv2
URL:           https://www.prevanders.net/dwarf.html
Source0:       https://www.prevanders.net/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: binutils-devel
BuildRequires: elfutils-devel
BuildRequires: dos2unix

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %libname
Summary: Library to access the DWARF Debugging file format
Group: System/Libraries

%description -n %libname
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %devname
Summary:       Library and header files of libdwarf
Group:         Development/C
License:       LGPLv2
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Provides:      dwarf-devel = %{version}-%{release}

%description -n %devname
Development package containing library and header files of libdwarf.

%package static
Summary:       Static libdwarf library
Group:         Development/C
License:       LGPLv2
Requires:      %{name}-devel = %{version}-%{release}

%description static
Static libdwarf library.

%package tools
Summary:       Tools for accessing DWARF debugging information
Group:         Development/Tools
License:       GPLv2
Requires:      %{libname} = %{version}-%{release}

%description tools
C++ version of dwarfdump (dwarfdump2) command-line utilities 
to access DWARF debug information.

%prep
%autosetup -p1

%build
%configure --enable-shared
%make_build

%install
%make_install

mkdir %{buildroot}%{_includedir}/libdwarf
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/libdwarf

find %{buildroot} -name '*.la' -delete

%check
LD_LIBRARY_PATH=$PWD/libdwarf/.libs TZ=:America/Los_Angeles %__make check

%files -n %libname
%doc libdwarf/ChangeLog libdwarf/README
%license libdwarf/COPYING libdwarf/LIBDWARFCOPYRIGHT libdwarf/LGPL.txt
%{_libdir}/libdwarf.so.%{major}
%{_libdir}/libdwarf.so.%{major}.*
%exclude %{_datadir}/libdwarf

%files static
%{_libdir}/libdwarf.a

%files -n %devname
%doc libdwarf/*.pdf
%{_includedir}/libdwarf/
%{_libdir}/libdwarf.so

%files tools
%doc dwarfdump/README dwarfdump/ChangeLog
%license dwarfdump/COPYING dwarfdump/DWARFDUMPCOPYRIGHT dwarfdump/GPL.txt
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf
%{_mandir}/man1/dwarfdump.1.*


%changelog
* Tue Dec 01 2020 tv <tv> 20201201-1.mga8
+ Revision: 1651320
- Update to 20201201 upstream release

* Thu Oct 22 2020 tv <tv> 20201020-1.mga8
+ Revision: 1638513
- Update to 20201020 upstream release

* Tue Oct 20 2020 tv <tv> 20201017-1.mga8
+ Revision: 1637399
- Update to 20201017 upstream release

* Sun Sep 20 2020 tv <tv> 20200825-1.mga8
+ Revision: 1628905
- 20200825

* Mon Mar 02 2020 tv <tv> 20200114-1.mga8
+ Revision: 1553105
- new version

* Tue Feb 18 2020 umeabot <umeabot> 20191104-2.mga8
+ Revision: 1541398
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 26 2019 daviddavid <daviddavid> 20191104-1.mga8
+ Revision: 1470179
- new version: 20191104, fixes CVE-2019-14249 (mga#25955)

* Sun Sep 23 2018 umeabot <umeabot> 20170709-0.2.mga7
+ Revision: 1298816
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 tv <tv> 20170709-0.1.mga7
+ Revision: 1152421
- "fix" underlinking
- new release

* Wed May 18 2016 tv <tv> 20160507-2.mga6
+ Revision: 1016674
- fix tools requires

* Tue May 17 2016 tv <tv> 20160507-1.mga6
+ Revision: 1016462
- imported package libdwarf

